package no.valg.valgnatt.database.geografi;

import org.junit.Assert;
import org.junit.Test;

import java.math.BigDecimal;

public class MandaterTest {
    @Test
    public void aggreger() {
        Mandater mandater1 = new Mandater(1, 1, 1);
        mandater1.setLavesteMandatrangMedMandat(1);
        mandater1.setLavesteKvotientMedMandat(BigDecimal.valueOf(100));
        mandater1.setHøyesteMandatrangUtenMandat(2);
        mandater1.setHøyesteKvotientUtenMandat(BigDecimal.valueOf(50));

        Mandater mandater2 = new Mandater(2, 2, 2);
        mandater2.setLavesteMandatrangMedMandat(2);
        mandater2.setLavesteKvotientMedMandat(BigDecimal.valueOf(75));
        mandater2.setHøyesteMandatrangUtenMandat(3);
        mandater2.setHøyesteKvotientUtenMandat(BigDecimal.valueOf(25));

        mandater1.aggreger(mandater2, true);

        Assert.assertEquals(3, mandater1.getAntall());
        Assert.assertEquals(3, mandater1.getSisteAntall());
        Assert.assertEquals(3, mandater1.getNestsisteAntall());
        Assert.assertEquals(2, mandater1.getLavesteMandatrangMedMandat().intValue());
        Assert.assertEquals(2, mandater1.getHøyesteMandatrangUtenMandat().intValue());
        Assert.assertEquals(BigDecimal.valueOf(75), mandater1.getLavesteKvotientMedMandat());
        Assert.assertEquals(BigDecimal.valueOf(50), mandater1.getHøyesteKvotientUtenMandat());
    }

}
